javax.el

## Class PropertyNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.el.ELException
        - - javax.el.PropertyNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyNotFoundException
    extends ELException

Thrown when a property could not be found while evaluating a `ValueExpression` or `MethodExpression`.

For example, this could be triggered by an index out of bounds while setting an array value, or by an unreadable property while getting the value of a JavaBeans property.

Since:
  JSP 2.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PropertyNotFoundException()` Creates a `PropertyNotFoundException` with no detail message.
`PropertyNotFoundException(java.lang.String message)` Creates a `PropertyNotFoundException` with the provided detail message.
`PropertyNotFoundException(java.lang.String pMessage, java.lang.Throwable pRootCause)` Creates a `PropertyNotFoundException` with the given detail message and root cause.
`PropertyNotFoundException(java.lang.Throwable exception)` Creates a `PropertyNotFoundException` with the given root cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertyNotFoundException

    public PropertyNotFoundException()

Creates a `PropertyNotFoundException` with no detail message.

#### PropertyNotFoundException

    public PropertyNotFoundException(java.lang.String message)

Creates a `PropertyNotFoundException` with the provided detail message.

Parameters:
  `message` - the detail message

#### PropertyNotFoundException

    public PropertyNotFoundException(java.lang.Throwable exception)

Creates a `PropertyNotFoundException` with the given root cause.

Parameters:
  `exception` - the originating cause of this exception

#### PropertyNotFoundException

    public PropertyNotFoundException(java.lang.String pMessage,
                             java.lang.Throwable pRootCause)

Creates a `PropertyNotFoundException` with the given detail message and root cause.

Parameters:
  `pMessage` - the detail message
  `pRootCause` - the originating cause of this exception